#include <LPC214x.H> 
#include <stdio.h> 
#define CR 0x0D

void Init_UART0 (void)	//  UART0
{
U0LCR = 0x80;			//Enable programming of divisor latches
U0DLL = 0xC2;			//Program the divisor latch for 9600 baud 12MHz VPB Clock  */
U0DLM = 0x00;
U0LCR = 0x33;			//Program the line control 8\N\1
U0FCR = 0x4F;			//enable the FIFO's
}

int putchar (int ch) 
{/* Write character to Serial Port  */
  if (ch == '\n')  
  {
    while (!(U0LSR & 0x20));
    U0THR = CR;/* output CR */
  }
  while (!(U0LSR & 0x20));
return (U0THR = ch);
}

int getchar (void) //     
{
if (U0LSR & 0x01)
  return (U0RBR);
 else
  return 0;
}